> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List a customer's agent consumption

> The customer's consumption ledger, newest first: one entry per consume call, priced by the server. `overage: true` entries were priced past the credits/windows boundary and bill through the plan's invoice container. Filter with `agent`, `overage`, `from`/`to` (ISO instants); paginated with take/skip.



## OpenAPI

````yaml get /v1/agents/customers/{customer_id}/consumption
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/agents/customers/{customer_id}/consumption:
    get:
      tags:
        - Agents
      summary: List a customer's agent consumption
      description: >-
        The customer's consumption ledger, newest first: one entry per consume
        call, priced by the server. `overage: true` entries were priced past the
        credits/windows boundary and bill through the plan's invoice container.
        Filter with `agent`, `overage`, `from`/`to` (ISO instants); paginated
        with take/skip.
      operationId: listAgentCustomerConsumption
      parameters:
        - schema:
            type: string
          required: true
          name: customer_id
          in: path
        - schema:
            type: string
            minLength: 1
            maxLength: 128
          required: false
          name: agent
          in: query
        - schema:
            type:
              - boolean
              - 'null'
          required: false
          name: overage
          in: query
        - schema:
            type:
              - string
              - 'null'
            format: date
          required: false
          name: from
          in: query
        - schema:
            type:
              - string
              - 'null'
            format: date
          required: false
          name: to
          in: query
        - schema:
            type:
              - number
              - 'null'
            minimum: 0
            maximum: 100
            default: 50
          required: false
          name: take
          in: query
        - schema:
            type:
              - number
              - 'null'
            minimum: 0
            default: 0
          required: false
          name: skip
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedAgentConsumptionEntry'
        '404':
          description: Customer not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - bearer: []
components:
  schemas:
    PaginatedAgentConsumptionEntry:
      type: object
      properties:
        meta:
          type: object
          properties:
            total:
              type: number
              description: Total of existing items.
              example: 1
            taken:
              type: number
              description: Number of items returned.
              example: 1
            skipped:
              type: number
              description: Number of items skipped.
              example: 0
          required:
            - total
            - taken
            - skipped
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              agent_slug:
                type:
                  - string
                  - 'null'
              amount:
                type: string
              denomination:
                type: string
                enum:
                  - minor_units
                  - credits
                  - units
              breakdown: {}
              unpriced_lines:
                type: number
              overage:
                type: boolean
              idempotency_key:
                type: string
              credit_transaction_id:
                type:
                  - string
                  - 'null'
              settled_at:
                type:
                  - string
                  - 'null'
              settlement_id:
                type:
                  - string
                  - 'null'
              created_at:
                type: string
            required:
              - id
              - agent_slug
              - amount
              - denomination
              - unpriced_lines
              - overage
              - idempotency_key
              - credit_transaction_id
              - settled_at
              - settlement_id
              - created_at
          description: List of AgentConsumptionEntry.
      required:
        - meta
        - data
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````